<bugID>590993<Summary>If using a web app for application handling (eg mailto) in app tab, open in new tab</Summary><Description>Instead of opening in the same tab, they should open in a new tab at least for app tabs. It probably doesn't make sense to do it for all tabs, but maybe it does.</Description></bugID>